ebijun
Posts: 73
Joined: Sat Feb 09, 2013 1:39 am

2018-11-23-netbsd-raspi-earmv6hf.img

Wed Nov 21, 2018 2:19 am

For Open Source Conference 2018 Shimane NetBSD bof.
I've updated 2018-11-23-netbsd-raspi-earmv6hf.img.gz for RPI.

http://mail-index.netbsd.org/port-arm/2 ... 05237.html

http://cdn.netbsd.org/pub/NetBSD/misc/j ... 6hf.img.gz

!!!!!CAUTION!!!!!
RPI0/OW/1 boot failed based on nyftp:201711172150Z.
http://mail-index.netbsd.org/port-arm/2 ... 05230.html

RPI0/0W/1 boot fine on nyftp:201811030820Z.use this image.
http://mail-index.netbsd.org/port-arm/2 ... 05153.html

Changes between 201811030820Z to 201711172150Z make RPI0/0W/1 boot failed.

Topics:
- NetBSD/aarch64 image testing: System Clock Stops with JOBS=3 pkgbuild.
Fix: apply ryo@'s patch,thanx
https://gist.github.com/ryo/89faf74852c ... 2704fe3e16
- icewm hangs with newer gcc
Fix: apply ryo@'s patch,thanx again!
https://gist.github.com/ryo/8fe6df6dc9c ... a07302bbd0
- waiting for RPI3A+ from pimoroni,check if newer firmware.

Update:
- NetBSD-current 8.99.26 evbarm-earmv6hf 201811172150Z rpi.img from nyftp.
- pre-installed packages:
https://github.com/ebijun/NetBSD/blob/m ... rc/pkginfo
- sysinfo and pkgsrc update
https://github.com/ebijun/NetBSD/commit ... 3139f086dc

System Update:
sysinfo: g++-6.5.0 gcc-6.5.0 libcurses-7.2 sh-20160401-20181117205335Z
pkgsrc: cairo-1.16.0 cairo-gobject-1.16.0 gtk2+-2.24.32nb7 gtk3+-3.24.1nb2
harfbuzz-2.1.1 libxml2-2.9.8nb4 medit-1.2.0nb8 mlterm-3.8.7nb2
pango-1.42.4nb2 ruby24-cairo-1.16.2nb1
ruby24-gnome2-cairo-gobject-3.3.0nb1 ruby24-gnome2-pango-3.3.0nb1
ruby24-mikutter-3.8.3 sudo-1.8.26 tiff-4.0.10 uim-1.8.6nb54

Overview:
http://wiki.NetBSD.org/ports/evbarm/raspberry_pi/

dmesg:
https://github.com/ebijun/NetBSD/blob/m ... rmv6hf/RPI
https://github.com/ebijun/NetBSD/blob/m ... mv6hf/RPI0
https://github.com/ebijun/NetBSD/blob/m ... v6hf/RPI0W
https://github.com/ebijun/NetBSD/blob/m ... mv6hf/RPI2
https://github.com/ebijun/NetBSD/blob/m ... f/RPI2-1.2
https://github.com/ebijun/NetBSD/blob/m ... mv6hf/RPI3
https://github.com/ebijun/NetBSD/blob/m ... v6hf/RPI3B+

Pre-installed packages:
https://github.com/ebijun/NetBSD/blob/m ... rc/pkginfo

Security:
- security.pax.mprotect.enabled
http://netbsd.org/gallery/presentations ... NetBSD.pdf
man security
man paxctl
sysctl -a |grep pax
If application failed, such as omxplayer.
try to test
sysctl -w security.pax.mprotect.enabled=0

---
Comments are welcome on port-arm netbsd mailinglist or
twitter @ebijun

Return to “NetBSD”